<?php
# DB Config style taken from the Debian maintainers, making things simpler
# as PHP is easier to manage here than bash substituion magic.

include_once("/var/roundcube/config/db.inc.php");

switch ($dbtype) {
 case "sqlite":
   $config['db_dsnw'] = "sqlite:///var/roundcube/config/sqlite.db?mode=0640";
   break;
 default:
   if ($dbport != '') $dbport=":$dbport";
   $config['db_dsnw'] = "$dbtype://$dbuser:$dbpass@$dbserver$dbport/$dbname";
   break;
 }
?>

